Module jdk.compiler
Package com.sun.source.tree

# Interface YieldTree

All Superinterfaces:
  `StatementTree`, `Tree`

    @Deprecated(forRemoval=true,
                since="13")
    public interface YieldTree
    extends StatementTree

Deprecated, for removal: This API element is subject to removal in a future version.
This class is modeling yield from switch expressions, which are part of a preview feature and may be removed if the preview feature is removed.
A tree node for a `yield` statement. For example:

       yield expression ;

See Java Language Specification:
Since:
  13

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ExpressionTree` | `getValue()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the expression for this `yield` statement.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getValue

ExpressionTree getValue()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the expression for this `yield` statement.

Returns:
  the expression